<?php

namespace App\Models;

class PropertyReviewChannel extends BaseModel
{

    protected $table = 'property_review_channel';
    protected $appends = ['parameterArray','logoUrl'];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    protected $hidden = [];

    function getParameterArrayAttribute()
    {
        $attribute = [];
        if (!empty($this->parameter)) {
            $attribute = json_decode($this->parameter, 1);
        }
        return $attribute;
    }

    public function getLogoUrlAttribute()
    {
        return config('app.url') . '/img/channel-icons/' . $this->logo;

    }


}
